For the complete documentation index, see llms.txt. This page is also available as Markdown.

lookup

Lookup an entity

This endpoint looks up an entity based on the given criteria. The criteria can be name, id, alias_id, or a combination of alias_name and alias_mount_accessor.

Method
Path

POST

/identity/lookup/entity

Parameters

  • name (string: "") – Name of the entity.

  • id (string: "") - ID of the entity.

  • alias_id (string: "") - ID of the alias.

  • alias_name (string: "") - Name of the alias. This should be supplied in conjunction with alias_mount_accessor.

  • alias_mount_accessor (string: "") - Accessor of the mount to which the alias belongs to. This should be supplied in conjunction with alias_name.

Sample payload

{
  "id": "043fedec-967d-b2c9-d3af-0c467b04e1fd"
}

Sample request

$ curl \
    --header "X-Vault-Token: ..." \
    --request POST \
    --data @payload.json \
    http://127.0.0.1:8200/v1/identity/lookup/entity

Sample response

Lookup a group

This endpoint looks up a group based on the given criteria. The criteria can be name, id, alias_id, or a combination of alias_name and alias_mount_accessor.

Method
Path

POST

/identity/lookup/group

Parameters

  • name (string: "") – Name of the group.

  • id (string: "") - ID of the group.

  • alias_id (string: "") - ID of the alias.

  • alias_name (string: "") - Name of the alias. This should be supplied in conjunction with alias_mount_accessor.

  • alias_mount_accessor (string: "") - Accessor of the mount to which the alias belongs to. This should be supplied in conjunction with alias_name.

Sample payload

Sample request

Sample response

Last updated